{% extends 'base.html.twig' %}

{% block title %}Pacientes{% endblock %}
{% block watermark %}
    <div class="watermarked" data-watermark="{{app.user.username}}"></div>
{% endblock %}
{% block body %}
      <h1 class="text-black">Pacientes</h1>
      <nav class="navbar navbar-light bg-light">
        <form id="search" class="form-inline" accept-charset="UTF-8" action="{{url('pacientes_index')}}" method="get" role="form">
          <div style="display:none">
              <input name="utf8" value="✓" type="hidden">
          </div>
          <input class="form-control" id="search"  placeholder="DNI | APELLIDO" aria-label="Buscar" name="search" value="{% if params.search is defined %}{{params.search}}{% endif %}" required="false"  size="50"/>
          <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
        </form>
      </nav>
      <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Nombre/Apellido</th>
                    <th>Dni</th>
                    <th>Localidad</th>
                </tr>
            </thead>
            <tbody>

                {% for paciente in pacientes %}
                    <tr class='clickable-row' data-ref='{{ path('pacientes_show', {'id': paciente.id}) }}'>
                        <td>{{ paciente.id }}</td>
                        <td>{{ paciente.apellido }} {{ paciente.nombre }}</td>
                        <td>{{ paciente.dni }}</td>
                        <td>{{ paciente.localidad }}</td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="11">No se han encontrado resultados</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}

{% block javascripts %}
 {{parent()}}
 <script>
     Array.from(document.querySelectorAll('.watermarked')).forEach(function(el) {
        el.dataset.watermark = (el.dataset.watermark + ' ').repeat(1800);
      });
 </script>
{% endblock %}
